* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background-color: #020400;
  color: #333;
  display: flex;
  flex-direction: column;
  font-family: "Poppins", sans-serif;
  min-height: 100vh;
  font-size: 16px;
  font-weight: 500;
  letter-spacing: -0.5px;
  padding: 0 2em;
  max-width: 1200px;
  font-size: 1.1em;
  margin: 0 auto;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav-logo-container {
  display: flex;
  align-items: center;
}
.nav-logo-container__badge {
  width: 50px;
  padding-right: 10px;
}
.nav-logo-container__text {
  width: 175px;
}

.nav-links-container {
  display: flex;
  gap: 1rem;
  font-size: 1em;
  font-family: "Poppins", sans-serif;
}
.nav-links-container a {
  color: white;
  text-decoration: none;
  font-weight: 500;
}
.nav-links-container a:hover {
  color: #fe7a19;
  transition: color 0.3s ease;
}

.ilv-title {
  font-size: 2em;
  color: #FFFFFF;
  font-weight: 500;
}
.ilv-title__light-font {
  color: #f35a00;
  font-weight: 100;
}

header {
  color: #f0f2f5;
  text-align: center;
  padding: 1rem 0;
}

h1 {
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-size: 2rem;
  color: #f0f2f5;
}

h2 {
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-size: 1.8em;
  color: #f35a00;
  padding-bottom: 0.5em;
}

h3 {
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-size: 1.2rem;
  color: #f0f2f5;
  padding-bottom: 0.4em;
}

p {
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  color: #C4C4C4;
}

a {
  color: #f0f2f5;
  text-decoration: underline;
}

a:hover {
  color: #fe7a19;
  transition: color 0.3s ease;
}

ul, ol {
  margin-left: 20px;
  margin-top: 0.7em;
}

ul li, ol li {
  color: #C4C4C4;
  padding-left: 1em;
  padding-bottom: 1em;
}
ul li strong, ol li strong {
  color: #f0f2f5;
}

ol li::marker {
  color: #f35a00;
}

ul li::marker {
  color: #f0f2f5;
}

#tutorial ol:first-of-type {
  margin-top: 0;
}

#tutorial ul {
  margin-top: -0.5em;
  margin-bottom: 0.7em;
}

#tutorial ul li, #tutorial ol li {
  color: #C4C4C4;
  padding: 0.5em 0;
}

#tutorial ul ul {
  margin-left: 20px;
  margin-top: 0.2em;
}

#tutorial ul li {
  padding-bottom: 0;
  font-weight: 400;
}

#tutorial ul ul li, #tutorial ol ul li {
  list-style-type: circle; /* Changes the bullet point to a circle */
  color: #C4C4C4;
  font-weight: 400;
}

#tutorial ol li {
  color: #f0f2f5;
  font-weight: 500;
}

#tutorial ul img {
  padding-top: 0.4em;
}

main {
  flex: 1;
  display: flex;
  flex-direction: column;
  padding: 2em 0;
}

.content-wrapper {
  display: flex;
  justify-content: space-between;
}

.content-left {
  width: 50%;
  padding-right: 2em;
}

.content-right {
  width: 50%;
  position: relative;
  margin-top: 0.7em;
}

.sticky-form {
  position: sticky;
  top: 4em;
  padding-left: 2em;
  display: flex;
  flex-direction: column;
  flex: 1;
  padding-left: 5em;
}
.sticky-form p {
  color: #757575;
}

.banner-section {
  display: flex;
  flex-direction: column;
}
.banner-section p {
  max-width: 600px;
  text-align: left;
  color: #f0f2f5;
  font-size: 1.1em;
}
.banner-section p:first-of-type {
  padding: 0.5em 0;
  padding-top: 0.5em;
}
.banner-section p:last-of-type {
  padding-bottom: 1em;
}
.banner-section h2 {
  margin-top: 1.5em;
}
.banner-section__text-container {
  display: flex;
  flex-direction: column;
}

.image-link-viewer-tag {
  font-weight: 600;
  letter-spacing: -1px;
}

button {
  cursor: pointer;
  overflow: hidden;
  outline: none;
  position: relative;
  font-weight: 700;
  padding: 0.7em 2em 0.7em 2em;
  font-size: 1em;
  display: inline-block;
  color: #f0f2f5;
  background: #fe7a19;
  border: none;
  transition: all 0.7s ease;
  text-decoration: none;
}

button:link, button:visited {
  color: #f0f2f5;
}

button:hover {
  background: #f35a00;
}

button:hover:before,
button:hover:after {
  transition: all 0.7s ease;
  width: 100%;
}

.divider {
  border: 0.1px solid #C4C4C4;
  margin: 0;
  margin-bottom: 1.5em;
}

#response-feedback {
  display: none;
  opacity: 0;
  transition: opacity 0.5s ease-in-out, color 0.5s ease-in-out;
}
#response-feedback p {
  color: inherit;
}

.loader {
  display: none;
  border: 5px solid #C4C4C4;
  border-top: 5px solid #fe7a19;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 1s linear infinite;
  margin-right: 10px;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
#uploadForm {
  display: flex;
  flex-direction: column;
}
#uploadForm label {
  color: #f0f2f5;
  margin-bottom: -0.3em;
}
#uploadForm input {
  padding: 0.75rem;
  font-size: 1rem;
  border: 0.5px solid #757575;
  border-radius: 5px;
  background-color: transparent;
  color: #757575;
  transition: all 0.3s ease;
}
#uploadForm input:focus {
  outline: none;
  border-color: #fe7a19;
  box-shadow: 0 0 5px rgba(254, 122, 25, 0.5);
}
#uploadForm input:hover {
  border-color: #fe7a19;
}
#uploadForm input[type=file] {
  padding: 0.75rem;
  font-size: 1rem;
  border: 0.5px solid #f0f2f5;
  border-radius: 5px;
  background-color: transparent;
  color: #757575;
  transition: all 0.3s ease;
  cursor: pointer;
}
#uploadForm input[type=file]::file-selector-text {
  margin-left: 5em;
}
#uploadForm input[type=file]::file-selector-button {
  background-color: #fe7a19;
  color: #f0f2f5;
  border: none;
  border-radius: 5px;
  padding: 0.5rem 1rem;
  cursor: pointer;
  transition: background-color 0.3s ease;
}
#uploadForm input[type=file]::file-selector-button:hover {
  background-color: #f35a00;
}
#uploadForm input[type=file]:focus {
  outline: none;
  border-color: #fe7a19;
  box-shadow: 0 0 5px rgba(254, 122, 25, 0.5);
}
#uploadForm input[type=file]:hover {
  border-color: #fe7a19;
}
#uploadForm input {
  padding: 0.75rem;
  font-size: 1rem;
  border: 1px solid #f0f2f5;
  border-radius: 5px;
  background-color: transparent;
  color: #757575;
  transition: all 0.3s ease;
}
#uploadForm button {
  color: #f0f2f5;
  background-color: #fe7a19;
  margin-top: 0.5em;
}
#uploadForm button:hover {
  background-color: #f35a00;
  transition: background-color 0.3s ease;
}

.sheet-name-container {
  display: flex;
  flex-direction: column;
  margin-top: 0.5em;
}

#sheetNameDropdown {
  border: 1px solid #ccc;
  border-radius: 5px;
  background-color: transparent;
  color: #757575;
  transition: all 0.3s ease;
  padding: 0.75rem;
  font-size: 1rem;
  margin-top: 1em;
}
#sheetNameDropdown:focus {
  outline: none;
  border-color: #fe7a19;
  box-shadow: 0 0 5px rgba(254, 122, 25, 0.5);
}
#sheetNameDropdown:hover {
  border-color: #fe7a19;
}

.upload-section {
  background-color: white;
  padding: 2rem;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

input[type=file], input[type=text], input[type=url] {
  padding: 0.5rem;
  font-size: 1rem;
  border: 1px solid #ccc;
  border-radius: 5px;
}

button {
  padding: 0.75rem;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 1rem;
}

footer {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  text-align: center;
  padding: 1rem;
  color: white;
}
footer a {
  color: #f0f2f5;
  text-decoration: none;
}
footer a:hover {
  color: #fe7a19;
  transition: color 0.3s ease;
}

/* 	------ BACK TO TOP ARROW 	------ 	*/
.scroll {
  opacity: 0.5;
  background: #FC5B03;
  position: fixed;
  bottom: 25px;
  right: 17px;
  border-radius: 10px;
  border: none;
  z-index: 1;
  padding: 1em 1.1em;
  width: 40px;
  height: 40px;
  outline: none;
  cursor: pointer;
  transition: 0.2s ease-in-out;
  display: none;
}

.scroll:hover {
  opacity: 1;
}

.arrow-up {
  position: absolute;
  margin-top: -15px;
  margin-left: -15px;
}

.bmc-button {
  line-height: 38px !important;
  height: 37px !important;
  text-decoration: none !important;
  display: inline-flex !important;
  border-radius: 3px !important;
  padding: 1px 7px !important;
  font-size: 14px !important;
  font-style: italic;
  margin: 0 auto !important;
  font-family: "Poppins", cursive !important;
  -webkit-box-sizing: border-box !important;
  box-sizing: border-box !important;
  -o-transition: 0.3s all linear !important;
  -webkit-transition: 0.3s all linear !important;
  -moz-transition: 0.3s all linear !important;
  -ms-transition: 0.3s all linear !important;
  transition: 0.3s all linear !important;
}

.bmc-button:hover, .bmc-button:active, .bmc-button:focus {
  text-decoration: none !important;
  opacity: 0.85 !important;
  color: #f0f2f5 !important;
  transform: scale(1.05) !important;
  transition: transform 0.3s ease-in-out !important;
}

@media (max-width: 767px) {
  body {
    padding: 0 0.6em;
  }
  main {
    padding-top: 1em;
  }
  .banner-section__text-container p {
    max-width: 100%;
  }
  .nav-logo-container {
    align-items: center;
  }
  .example iframe {
    height: 330px;
  }
  .nav-links-container {
    gap: 0.5rem;
    font-size: small;
  }
  .content-wrapper {
    flex-direction: column;
  }
  .content-left, .content-right {
    width: 100%;
    padding: 0;
  }
  .content-right {
    margin-top: 4em;
  }
  .sticky-form {
    padding-left: 0;
  }
  footer {
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding-bottom: 1em;
    padding-left: 0;
    padding-right: 0;
    padding-top: 0;
  }
  footer div {
    width: 100%;
    align-items: center;
  }
  footer p {
    text-align: right;
  }
}
@media (max-width: 480px) {
  h1 {
    font-size: 1.5rem;
  }
  h2 {
    font-size: 1.5em;
  }
  h3 {
    font-size: 1rem;
  }
  button {
    padding: 0.5em 1.5em;
    font-size: 0.9em;
  }
  .banner-section p {
    font-size: 1em;
  }
  footer {
    font-size: smaller;
  }
}
@media (max-width: 374px) {
  .nav-links-container {
    flex-direction: column;
    align-items: flex-end;
  }
}